%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rubyzip

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.7
Release: 7%{?dist}
Summary: rubyzip is a ruby module for reading and writing zip files
Group: Development/Languages
License: BSD-2-Clause
URL: https://github.com/rubyzip/rubyzip
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
%if ( 0%{?fedora} > 18 || 0%{?rhel} >= 7 ) && "%{?scl}" != "ruby193"
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
%else
Requires: %{?scl_prefix}ruby(abi)
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems-devel
%endif
BuildArch: noarch

%description
rubyzip is a ruby module for reading and writing zip files

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
gem install %{gem_name}-%{version}.gem --local --install-dir .%{gem_dir}
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/TODO
%{gem_instdir}/samples
%{gem_instdir}/test

%changelog
* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 1.1.7-7
- fix ruby193 buildrequires (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 1.1.7-6
- fix buildrequires for rh-ruby22 (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 1.1.7-5
- fix dependencies for rh-ruby22 (jmontleo@redhat.com)

* Mon Nov 23 2015 Jason Montleon <jmontleo@redhat.com> 1.1.7-4
- add sample and TODO files (jmontleo@redhat.com)

* Mon Nov 23 2015 Jason Montleon <jmontleo@redhat.com> 1.1.7-3
- remove references to non-existent files (jmontleo@redhat.com)

* Mon Nov 23 2015 Jason Montleon <jmontleo@redhat.com> 1.1.7-2
- packaging fixes (jmontleo@redhat.com)

* Mon Nov 23 2015 Jason Montleon <jmontleo@redhat.com> 1.1.7-1
- new package built with tito

